Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAManagerPackage
Class State

    java.lang.Object
      |
      +--org.omg.PortableServer.POAManagerPackage.State

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class State
extends java.lang.Object
implements IDLEntity

Enum definition : State

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_ACTIVE` Enum member ACTIVE value
`static int` | `_DISCARDING` Enum member DISCARDING value
`static int` | `_HOLDING` Enum member HOLDING value
`static int` | `_INACTIVE` Enum member INACTIVE value
`static State` | `ACTIVE` Enum member ACTIVE
`static State` | `DISCARDING` Enum member DISCARDING
`static State` | `HOLDING` Enum member HOLDING
`static State` | `INACTIVE` Enum member INACTIVE

Method Summary
`static State` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _HOLDING

    public static final int _HOLDING

  Enum member HOLDING value

### HOLDING

    public static final State HOLDING

  Enum member HOLDING

### _ACTIVE

    public static final int _ACTIVE

  Enum member ACTIVE value

### ACTIVE

    public static final State ACTIVE

  Enum member ACTIVE

### _DISCARDING

    public static final int _DISCARDING

  Enum member DISCARDING value

### DISCARDING

    public static final State DISCARDING

  Enum member DISCARDING

### _INACTIVE

    public static final int _INACTIVE

  Enum member INACTIVE value

### INACTIVE

    public static final State INACTIVE

  Enum member INACTIVE

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static State from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD